2 Replies Latest reply on Jul 27, 2020 7:18 AM by baye_4029466

    Sometimes the connection fails due to upgrading BLE stack from version 3.54 to 3.65

    baye_4029466

      Hi,

       

      I'm connecting from a mobile android device to the PSOC4 BLE and having troubles (from time to time the connection process is fail) since I upgraded the BLE stack from version 3.54 to 3.65. I have tested it and the problem occurs since BLE stack version 3.62.

       

      I have few questions: image_2020_07_14T13_20_14_959Z.png

      1. As can be seen in the picture above, the connection is terminated after an unknown response from FEATURE_REQ. Is there something wrong with the LL_FEATURE_REQ?

      2. Is there something I can do to overcome this problem?

      3. I upgraded the BLE stack because of security breach (SweynTooth: Unleashing Mayhem over Bluetooth Low Energy https://asset-group.github.io/disclosures/sweyntooth/) solved by the updated stack . what is the BLE stack version that solves this issue?

       

      Thanks,

      Barak.

       

      SweynTooth: Unleashing Mayhem over Bluetooth Low Energy (https://asset-group.github.io/disclosures/sweyntooth/)
      from The ASSET (Automated Systems SEcuriTy) Research Group at the Singapore University of Technology and Design

      https://asset-group.github.io/